#!/bin/sh

llink_start() {

    if [ ! -f "${ETCDIR}/llink/llink.conf" ]; then
        echo ERROR: No ${ETCDIR}/llink/llink.conf found
        exit 1
    fi
    if [ -n "$(pidof llink)" ]; then
        echo ERROR: llink is already running
        exit 1
    fi                                                 
    if [ -x "${BINDIR}/llink" ]; then
        echo "Starting llink... "
	cp ${FUNPLUGDIR}/lib/libstdc++.so.5 /lib # Nasty workaround!
        ${BINDIR}/llink -f ${ETCDIR}/llink/llink.conf 1>/dev/null 2>/dev/null </dev/null
    else
        echo "ERROR: llink not found or not executable"
    fi
}

llink_stop() {
    killall llink
}


llink_status() {
    if [ -n "$(pidof llink)" ]; then
        echo "running"
    else
        echo "stopped"
    fi
}

case "$1" in
    stop)
        llink_stop
        ;;
    restart)
        llink_stop
        sleep 1
        llink_start
        ;;
    status)
        llink_status
        ;;
    start|'')
        llink_start
        ;;
    *)
        echo "Usage: $0 start|stop|restart|status"
        ;;
esac
